Name:           python-snowballstemmer
Version:        1.2.0
Release:        %mkrel 3
Summary:        This package provides 16 stemmer algorithms
License:        BSD-2-Clause
Group:          Development/Python
Url:            https://github.com/shibukawa/snowball_py
Source:         https://pypi.python.org/packages/source/s/snowballstemmer/snowballstemmer-%{version}.tar.gz
BuildRequires:  python-devel
BuildArch:      noarch

%description
This package provides 16 stemmer algorithms (15 + Poerter English
stemmer) generated from Snowball algorithms.  It includes following
language algorithms: Danish, Dutch, English (Standard, Porter),
Finnish, French, German, Hungarian, Italian, Norwegian, Portuguese,
Romanian, Russian, Spanish, Swedish, Turkish. This is a pure Python
stemming library. If PyStemmer is available, this module uses it to
accelerate.

%package -n python3-snowballstemmer
Summary:        This package provides 16 stemmer algorithms
BuildRequires:  python3-devel

%description -n python3-snowballstemmer
This package provides 16 stemmer algorithms (15 + Poerter English
stemmer) generated from Snowball algorithms.  It includes following
language algorithms: Danish, Dutch, English (Standard, Porter),
Finnish, French, German, Hungarian, Italian, Norwegian, Portuguese,
Romanian, Russian, Spanish, Swedish, Turkish. This is a pure Python
stemming library. If PyStemmer is available, this module uses it to
accelerate.

%prep
%setup -q -n snowballstemmer-%{version}

%build
%{__python2} setup.py build
%{__python3} setup.py build

%install
%{__python2} setup.py install --prefix=%{_prefix} --root=%{buildroot}
%{__python3} setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%license LICENSE.rst
%{python2_sitelib}/*
%doc README.rst

%files -n python3-snowballstemmer
%license LICENSE.rst
%{python3_sitelib}/*
%doc README.rst


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1.2.0-3.mga6
+ Revision: 970502
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 tv <tv> 1.2.0-2.mga6
+ Revision: 887082
- rebuild for python 3.5

* Thu Aug 20 2015 joequant <joequant> 1.2.0-1.mga6
+ Revision: 866924
- imported package python-snowballstemmer

